- @html_class = "subscriptions-layout-html"
- page_title _('Your GitLab group')
- form_params = { trial_onboarding_flow: params[:trial_onboarding_flow], glm_source: params[:glm_source], glm_content: params[:glm_content] }
- content_for :page_specific_javascripts do
  = render "layouts/google_tag_manager_head"
  = render "layouts/one_trust"
= render "layouts/google_tag_manager_body"

.row.gl-flex-grow-1
  .gl-display-flex.gl-flex-direction-column.gl-align-items-center.gl-w-full.gl-px-5.gl-pb-5
    .edit-group.gl-display-flex.gl-flex-direction-column.gl-align-items-center
      - unless in_trial_onboarding_flow?
        #progress-bar
      %h2.center= _('Create your group')
      %p= _('A group represents your organization in GitLab. Groups allow you to manage users and collaborate across multiple projects.')
      = form_for @group, url: users_sign_up_groups_path(form_params), html: { class: 'gl-show-field-errors card gl-w-full gl-p-4 js-saas-trial-group' } do |f|
        = form_errors(@group, pajamas_alert: true)
        = render 'layouts/flash'
        .row
          .form-group.group-name-holder.col-sm-12
            = f.label :name, class: 'gl-font-weight-bold' do
              = _('Group name (your organization)')
            = f.text_field :name, class: 'form-control js-autofill-group-name',
              required: true,
              title: _('Please fill in a descriptive name for your group.'),
              autofocus: true
            .form-text.text-muted= _('You can always edit this later')
        .row
          .form-group.col-sm-12
            = f.label :path, class: 'gl-font-weight-bold' do
              = _('Group URL')
            .input-group.gl-field-error-anchor
              .group-root-path.input-group-prepend.has-tooltip{ title: root_url, :'data-placement' => 'bottom' }
                .input-group-text
                  %span= root_url
              = f.hidden_field :parent_id
              = f.text_field :path, class: 'form-control js-validate-group-path js-autofill-group-path',
                required: true,
                pattern: Gitlab::PathRegex::NAMESPACE_FORMAT_REGEX_JS,
                title: group_url_error_message,
                maxlength: ::Namespace::URL_MAX_LENGTH
            %p.validation-error.gl-field-error.field-validation.hide
              = _("Group path is already taken. We've suggested one that is available.")
            %p.validation-success.gl-field-success.field-validation.hide= _('Group path is available.')
            %p.validation-pending.gl-field-error-ignore.field-validation.hide= _('Checking group path availability...')
        .row
          .form-group.col-sm-12
            = render partial: 'shared/groups/visibility_level', locals: { f: f }
        - if !in_trial_onboarding_flow? && show_trial_during_signup?
          = render partial: 'shared/groups/trial_form'

        .row
          .form-group.col-sm-12.gl-mb-0
            = render Pajamas::ButtonComponent.new(variant: :confirm, button_options: { type: 'submit', class: 'gl-w-full' }) do
              = _('Create group')
